Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GatherPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GatherPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/GatherPane.java	(revision 18297)
@@ -127,5 +127,5 @@
 	this.group = new DragGroup();
 	this.file_queue = Gatherer.f_man.getQueue();
-
+        this.setComponentOrientation(org.greenstone.gatherer.Dictionary.getOrientation());
 	// Create components.
 	stop_action = new GLIButton(Dictionary.get("Collection.Stop"), Dictionary.get("Collection.Stop_Tooltip"));
@@ -207,4 +207,5 @@
 	workspace_pane.setPreferredSize(TREE_SIZE);
 	workspace_pane.setSize(TREE_SIZE);
+        workspace_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	workspace_label = new JLabel(Dictionary.get("Collection.Workspace"));
@@ -212,10 +213,14 @@
 	workspace_label.setBackground(Configuration.getColor("coloring.workspace_heading_background", false));
 	workspace_label.setForeground(Configuration.getColor("coloring.workspace_heading_foreground", false));
-	
+	workspace_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	workspace_tree = new WorkspaceTree();
+        workspace_tree.setComponentOrientation(Dictionary.getOrientation());
 	group.add(workspace_tree);
 	workspace_scroll = new JScrollPane(workspace_tree);
+        workspace_scroll.setComponentOrientation(Dictionary.getOrientation());
 	workspace_filter = workspace_tree.getFilter();
-
+        workspace_filter.setComponentOrientation(Dictionary.getOrientation()); 
+        
 	card_layout = new CardLayout();
 
@@ -225,8 +230,10 @@
 	collection_pane.setPreferredSize(TREE_SIZE);
 	collection_pane.setSize(TREE_SIZE);
-
+        collection_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	collection_label = new JLabel(Dictionary.get("Collection.Collection"));
 	collection_label.setOpaque(true);
-	
+	collection_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	collection_tree = Gatherer.c_man.getCollectionTree();
 	collection_tree.setEnabled(Gatherer.c_man.getCollectionTreeModel() != null);
@@ -235,37 +242,51 @@
 
 	tree_pane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
-
+        tree_pane.setComponentOrientation(Dictionary.getOrientation());
 	// No collection loaded pane
 	JPanel no_collection_pane = new JPanel();
 	no_collection_pane.setBackground(Color.lightGray);
-
+        no_collection_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel no_collection_label = new JLabel(Dictionary.get("Collection.Collection"));
 	no_collection_label.setBackground(Color.lightGray);
 	no_collection_label.setForeground(Color.black);
 	no_collection_label.setOpaque(true);
+        no_collection_label.setComponentOrientation(Dictionary.getOrientation());
 	
 	JPanel no_collection_loaded_panel = new JPanel();
 	no_collection_loaded_panel.setBorder(BorderFactory.createLineBorder(Color.black));
 	no_collection_loaded_panel.setBackground(Color.lightGray);
-
+        no_collection_loaded_panel.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel no_collection_loaded_label = new JLabel(Dictionary.get("Collection.No_Collection_Loaded"));
 	no_collection_loaded_label.setHorizontalAlignment(JLabel.CENTER);
 	no_collection_loaded_label.setVerticalAlignment(JLabel.CENTER);
-	
+	no_collection_loaded_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Status pane
 	control_pane = new JPanel();
-
+        control_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel inner_pane = new JPanel();
 	inner_pane.setSize(STATUS_SIZE);
-
+        inner_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	card_pane = new JPanel();
+        card_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel file_pane = new JPanel();
+        file_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel progress_pane = new JPanel();
+        progress_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel file_status = file_queue.getFileStatus();
-
+        file_status.setComponentOrientation(Dictionary.getOrientation());
+        
 	JProgressBar progress_bar = file_queue.getProgressBar();
-
+        progress_bar.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel button_pane = new JPanel();
-
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	RecycleBin recycle_bin = Gatherer.recycle_bin;
 	recycle_bin.addActionListener(this);
@@ -295,6 +316,13 @@
 	card_pane.add(collection_pane, COLLECTION_LOADED_CARD);
 
-	tree_pane.add(workspace_pane, JSplitPane.LEFT);
-	tree_pane.add(card_pane, JSplitPane.RIGHT);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            tree_pane.add(workspace_pane, JSplitPane.LEFT);
+            tree_pane.add(card_pane, JSplitPane.RIGHT);
+        }else{
+            tree_pane.add(workspace_pane, JSplitPane.RIGHT);
+            tree_pane.add(card_pane, JSplitPane.LEFT);
+        }
+        
+        
 	tree_pane.setDividerLocation(TREE_SIZE.width - 10);
 
@@ -302,5 +330,5 @@
 	file_pane.setLayout(new BorderLayout());
 	file_pane.add(file_status, BorderLayout.CENTER);
-	file_pane.add(stop_action, BorderLayout.EAST);
+	file_pane.add(stop_action, BorderLayout.LINE_END);
 
 	progress_pane.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
@@ -318,5 +346,5 @@
 	control_pane.setLayout(new BorderLayout());
 	control_pane.add(inner_pane, BorderLayout.CENTER);
-	control_pane.add(button_pane, BorderLayout.EAST);
+	control_pane.add(button_pane, BorderLayout.LINE_END);
 
 	this.setLayout(new BorderLayout());
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/HelpFrame.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/HelpFrame.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/HelpFrame.java	(revision 18297)
@@ -81,6 +81,8 @@
 	setSize(SIZE);
 	setTitle(Dictionary.get("Help.Title"));
-
+        this.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_pane = new JEditorPane();
+        help_pane.setComponentOrientation(Dictionary.getOrientation());
 	help_pane.setEditable(false);
 	help_pane.addHyperlinkListener(new HelpPaneHyperlinkListener());
@@ -89,4 +91,5 @@
 	help_contents_tree_model = new HelpContentsTreeModel(help_tree_root_node);
 	help_contents_tree = new JTree((DefaultTreeModel) help_contents_tree_model);
+        help_contents_tree.setComponentOrientation(Dictionary.getOrientation());
 	help_contents_tree.addTreeSelectionListener(new HelpContentsTreeSelectionListener());
 	help_contents_tree.setExpandsSelectedPaths(true);
@@ -94,11 +97,20 @@
 	// Creation
 	JPanel content_pane = (JPanel) this.getContentPane();
-	split_pane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
+	content_pane.setComponentOrientation(Dictionary.getOrientation());
+        split_pane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
 	JScrollPane help_contents_tree_scroll = new JScrollPane(help_contents_tree);
+        help_contents_tree_scroll.setComponentOrientation(Dictionary.getOrientation());
 	JScrollPane help_pane_scroll = new JScrollPane(help_pane);
+        help_pane_scroll.setComponentOrientation(Dictionary.getOrientation());
 
 	// Layout
-	split_pane.add(help_contents_tree_scroll, JSplitPane.LEFT);
-	split_pane.add(help_pane_scroll, JSplitPane.RIGHT);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            split_pane.add(help_contents_tree_scroll, JSplitPane.LEFT);
+            split_pane.add(help_pane_scroll, JSplitPane.RIGHT);
+        }else{
+            split_pane.add(help_contents_tree_scroll, JSplitPane.RIGHT);
+            split_pane.add(help_pane_scroll, JSplitPane.LEFT);
+        }
+        
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(split_pane, BorderLayout.CENTER);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/LockFileDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 18297)
@@ -66,4 +66,5 @@
     public LockFileDialog(JFrame parent, String name, File lock_file) {
 	super(parent, Dictionary.get("LockFileDialog.Title"), true);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setSize(SIZE);
 	setJMenuBar(new SimpleMenuBar("openingacollection"));
@@ -75,12 +76,17 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel upper_pane = new JPanel();
+        upper_pane.setComponentOrientation(Dictionary.getOrientation());
 	ImageIcon icon = JarTools.getImage("lcolicn.gif");
 	ImageIcon scaled_icon = new ImageIcon(icon.getImage().getScaledInstance(ICON_SIZE, ICON_SIZE, Image.SCALE_DEFAULT));
 	JLabel icon_label = new JLabel(scaled_icon);
+        icon_label.setComponentOrientation(Dictionary.getOrientation());
 	JPanel title_pane = new JPanel();
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel title_one_label = new JLabel(Dictionary.get("General.Warning"));
-	
+	title_one_label.setComponentOrientation(Dictionary.getOrientation());
 	JTextArea title_two_textarea = new JTextArea(Dictionary.get("LockFileDialog.Lockfile_Message_One"));
+        title_two_textarea.setComponentOrientation(Dictionary.getOrientation());
 	title_two_textarea.setEditable(false);
 	title_two_textarea.setLineWrap(true);
@@ -89,41 +95,57 @@
 	title_two_textarea.setWrapStyleWord(true);
 	
-	JPanel central_pane = new JPanel();
-
+    	JPanel central_pane = new JPanel();
+        central_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel name_pane = new JPanel();
+        name_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel name_label = new JLabel(Dictionary.get("LockFileDialog.Name"));
+        name_label.setComponentOrientation(Dictionary.getOrientation());
 	name_label.setPreferredSize(LABEL_SIZE);
 	
 	JTextField name_field = new JTextField(name);
+        name_field.setComponentOrientation(Dictionary.getOrientation());
 	name_field.setEditable(false);
 	name_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 
-	JPanel person_pane = new JPanel();
-	JLabel person_label = new JLabel(Dictionary.get("LockFileDialog.User"));
+
+        JPanel person_pane = new JPanel();
+	person_pane.setComponentOrientation(Dictionary.getOrientation());
+        JLabel person_label = new JLabel(Dictionary.get("LockFileDialog.User"));
+        person_label.setComponentOrientation(Dictionary.getOrientation());
 	person_label.setPreferredSize(LABEL_SIZE);
 	
 	JTextField person_field = new JTextField(getValue("User"));
+        person_field.setComponentOrientation(Dictionary.getOrientation());
 	person_field.setEditable(false);
 	person_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 
 	JPanel machine_pane = new JPanel();
+        machine_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel machine_label = new JLabel(Dictionary.get("LockFileDialog.Machine"));
+        machine_label.setComponentOrientation(Dictionary.getOrientation());
 	machine_label.setPreferredSize(LABEL_SIZE);
 	
 	JTextField machine_field = new JTextField(getValue("Machine"));
+        machine_field.setComponentOrientation(Dictionary.getOrientation());
 	machine_field.setEditable(false);
 	machine_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 
 	JPanel created_pane = new JPanel();
+        created_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel created_label = new JLabel(Dictionary.get("LockFileDialog.Date"));
 	created_label.setPreferredSize(LABEL_SIZE);
+        created_label.setComponentOrientation(Dictionary.getOrientation());
 	
 	JTextField created_field = new JTextField(getValue("Date"));
+        created_field.setComponentOrientation(Dictionary.getOrientation());
 	created_field.setEditable(false);
 	created_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 
 	JLabel central_label = new JLabel(Dictionary.get("LockFileDialog.Lockfile_Message_Two"));
-	
+	central_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("LockFileDialog.OK_Tooltip"));
 	
@@ -142,21 +164,21 @@
 
 	upper_pane.setLayout(new BorderLayout());
-	upper_pane.add(icon_label, BorderLayout.WEST);
+	upper_pane.add(icon_label, BorderLayout.LINE_START);
 	upper_pane.add(title_pane, BorderLayout.CENTER);
 
 	name_pane.setLayout(new BorderLayout());
-	name_pane.add(name_label, BorderLayout.WEST);
+	name_pane.add(name_label, BorderLayout.LINE_START);
 	name_pane.add(name_field, BorderLayout.CENTER);
 
 	person_pane.setLayout(new BorderLayout());
-	person_pane.add(person_label, BorderLayout.WEST);
+	person_pane.add(person_label, BorderLayout.LINE_START);
 	person_pane.add(person_field, BorderLayout.CENTER);
 
 	machine_pane.setLayout(new BorderLayout());
-	machine_pane.add(machine_label, BorderLayout.WEST);
+	machine_pane.add(machine_label, BorderLayout.LINE_START);
 	machine_pane.add(machine_field, BorderLayout.CENTER);
 
 	created_pane.setLayout(new BorderLayout());
-	created_pane.add(created_label, BorderLayout.WEST);
+	created_pane.add(created_label, BorderLayout.LINE_START);
 	created_pane.add(created_field, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MenuBar.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 18297)
@@ -87,42 +87,55 @@
     public MenuBar(MenuListener menu_listener)
     {
+        this.setComponentOrientation(Dictionary.getOrientation());
+        
 	file = new JMenu();
 	file.setEnabled(false);
 	file.setText(Dictionary.get("Menu.File"));
-	
+	file.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_associations = new JMenuItem(Dictionary.get("Menu.File_Associations"));
 	file_associations.addActionListener(Gatherer.g_man);	  
-	
+	file_associations.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_cdimage = new JMenuItem(Dictionary.get("Menu.File_CDimage"));
 	file_cdimage.addActionListener(Gatherer.g_man);
 	file_cdimage.setEnabled(!Gatherer.isGsdlRemote);
-	
+	file_cdimage.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_close = new JMenuItem(Dictionary.get("Menu.File_Close"));
 	file_close.addActionListener(Gatherer.g_man);
 	file_close.setEnabled(false);
-	
+	file_close.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_delete = new JMenuItem(Dictionary.get("Menu.File_Delete"));
 	file_delete.addActionListener(Gatherer.g_man);
-	
+	file_delete.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_exit = new JMenuItem(Dictionary.get("Menu.File_Exit"));
 	file_exit.addActionListener(Gatherer.g_man);
-	
+	file_exit.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_exportas = new JMenuItem(Dictionary.get("Menu.File_ExportAs"));
 	file_exportas.addActionListener(Gatherer.g_man);
 	file_exportas.setEnabled((!Gatherer.isGsdlRemote && !Gatherer.GS3)); 
+        file_exportas.setComponentOrientation(Dictionary.getOrientation());
       	
 	file_new = new JMenuItem(Dictionary.get("Menu.File_New"));
 	file_new.addActionListener(Gatherer.g_man);
-	
+	file_new.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_open = new JMenuItem(Dictionary.get("Menu.File_Open"));
 	file_open.addActionListener(Gatherer.g_man);
-	
+	file_open.setComponentOrientation(Dictionary.getOrientation());
+        
 	file_options = new JMenuItem(Dictionary.get("Menu.File_Options"));
 	file_options.addActionListener(Gatherer.g_man);
+        file_options.setComponentOrientation(Dictionary.getOrientation());
 	
 	file_save = new JMenuItem(Dictionary.get("Menu.File_Save"));
 	file_save.addActionListener(Gatherer.g_man);
 	file_save.setEnabled(false);
-	
+	file_save.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Layout (file menu)
 	file.add(file_new);
@@ -144,14 +157,17 @@
 	edit.setEnabled(false);
 	edit.setText(Dictionary.get("Menu.Edit"));
-			  
+	edit.setComponentOrientation(Dictionary.getOrientation());
+        
 	edit_cut = new JMenuItem(Dictionary.get("Menu.Edit_Cut"));
 	edit_cut.addActionListener(Gatherer.g_man);
-	
+	edit_cut.setComponentOrientation(Dictionary.getOrientation());
+        
 	edit_copy = new JMenuItem(Dictionary.get("Menu.Edit_Copy"));
 	edit_copy.addActionListener(Gatherer.g_man);
+        edit_copy.setComponentOrientation(Dictionary.getOrientation());
 	
 	edit_paste = new JMenuItem(Dictionary.get("Menu.Edit_Paste"));
 	edit_paste.addActionListener(Gatherer.g_man);
-	
+	edit_paste.setComponentOrientation(Dictionary.getOrientation());
 	// Layout (edit menu)
 	edit.add(edit_cut);
@@ -163,29 +179,38 @@
 	help.setIcon(HELP_ICON);
 	help.setText(Dictionary.get("Menu.Help"));
-	
+	help.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_general = new JMenuItem(Dictionary.get("Source.General"));
 	help_general.addActionListener(Gatherer.g_man);
-	
+	help_general.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_download = new JMenuItem(Dictionary.get("GUI.Download"), BLANK_ICON);
 	help_download.addActionListener(Gatherer.g_man);
-	
+	help_download.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_gather = new JMenuItem(Dictionary.get("GUI.Gather"), BLANK_ICON);
 	help_gather.addActionListener(Gatherer.g_man);
-	
+	help_gather.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_enrich = new JMenuItem(Dictionary.get("GUI.Enrich"), BLANK_ICON);
 	help_enrich.addActionListener(Gatherer.g_man);
-	
+	help_enrich.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_design = new JMenuItem(Dictionary.get("GUI.Design"), BLANK_ICON);
 	help_design.addActionListener(Gatherer.g_man);
-	
+	help_design.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_create = new JMenuItem(Dictionary.get("GUI.Create"), BLANK_ICON);
 	help_create.addActionListener(Gatherer.g_man);
-	
+	help_create.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_format = new JMenuItem(Dictionary.get("GUI.Format"), BLANK_ICON);
 	help_format.addActionListener(Gatherer.g_man);
-	
+	help_format.setComponentOrientation(Dictionary.getOrientation());
+        
 	help_about = new JMenuItem(Dictionary.get("Menu.Help_About"));
 	help_about.addActionListener(Gatherer.g_man);
-	
+	help_about.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Layout (help menu)
 	help.add(help_general);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataImportMappingPrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataImportMappingPrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataImportMappingPrompt.java	(revision 18297)
@@ -39,4 +39,5 @@
 	// Construction and configuration
 	JDialog dialog = new ModalDialog(Gatherer.g_man);
+        dialog.setComponentOrientation(Dictionary.getOrientation());
 	dialog.setModal(true);
 	dialog.setSize(DIALOG_SIZE);
@@ -72,16 +73,33 @@
 	// Layout
 	JPanel left_pane = new JPanel();
+        left_pane.setComponentOrientation(Dictionary.getOrientation());
 	left_pane.setLayout(new GridLayout(3,1));
-	left_pane.add(new JLabel(Dictionary.get("MIMP.Source_Element")));
-	left_pane.add(new JLabel(Dictionary.get("MIMP.Target_Set")));
-	left_pane.add(new JLabel(Dictionary.get("MIMP.Target_Element")));
+        
+        JLabel tmp_lable;
+        
+        tmp_lable = new JLabel(Dictionary.get("MIMP.Source_Element"));
+        tmp_lable.setComponentOrientation(Dictionary.getOrientation());
+	left_pane.add(tmp_lable);
+        
+        tmp_lable = new JLabel(Dictionary.get("MIMP.Target_Set"));
+        tmp_lable.setComponentOrientation(Dictionary.getOrientation());
+	left_pane.add(tmp_lable);
+        
+        tmp_lable = new JLabel(Dictionary.get("MIMP.Target_Element"));
+        tmp_lable.setComponentOrientation(Dictionary.getOrientation());
+	left_pane.add(tmp_lable);
 
 	JPanel right_pane = new JPanel();
+        right_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	right_pane.setLayout(new GridLayout(3,1));
-	right_pane.add(new JLabel(metadata_element_name_full));
+	tmp_lable = new JLabel(metadata_element_name_full);
+        tmp_lable.setComponentOrientation(Dictionary.getOrientation());
+        right_pane.add(tmp_lable);
 	right_pane.add(metadata_sets_combobox);
 	right_pane.add(metadata_elements_combobox);
 
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	button_pane.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
 	button_pane.setLayout(new GridLayout(1,3));
@@ -91,7 +109,8 @@
 
 	JPanel content_pane = (JPanel) dialog.getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setLayout(new BorderLayout());
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
-	content_pane.add(left_pane, BorderLayout.WEST);
+	content_pane.add(left_pane, BorderLayout.LINE_START);
 	content_pane.add(right_pane, BorderLayout.CENTER);
 	content_pane.add(button_pane, BorderLayout.SOUTH);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataSetDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataSetDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataSetDialog.java	(revision 18297)
@@ -43,5 +43,5 @@
 	super(Gatherer.g_man, true);
 	set_dialog = this;
-	
+	this.setComponentOrientation(Dictionary.getOrientation());
 	setJMenuBar(new SimpleMenuBar("selectingmetadatasets"));
 	setSize(SIZE);
@@ -56,12 +56,16 @@
 	}
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
         content_pane.setOpaque(true);
 	
 	JLabel current_metadata_sets_label = new JLabel(Dictionary.get("MetadataSetDialog.Current_Sets"));
-	current_metadata_sets_label.setOpaque(true);
+	current_metadata_sets_label.setComponentOrientation(Dictionary.getOrientation());
+        current_metadata_sets_label.setOpaque(true);
 	current_set_list = new JList(current_metadata_model);
+        current_set_list.setComponentOrientation(Dictionary.getOrientation());
 	current_set_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	add_button = new GLIButton(Dictionary.get("MetadataSetDialog.Add"), Dictionary.get("MetadataSetDialog.Add_Tooltip"));
 	add_button.setEnabled(true);
@@ -98,5 +102,8 @@
 	content_pane.setLayout(new BorderLayout());
 	content_pane.add(current_metadata_sets_label, BorderLayout.NORTH);
-	content_pane.add(new JScrollPane(current_set_list), BorderLayout.CENTER);
+        JScrollPane scrol_tmp;
+        scrol_tmp = new JScrollPane(current_set_list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	content_pane.add(scrol_tmp, BorderLayout.CENTER);
 	content_pane.add(button_pane, BorderLayout.SOUTH);
 	
@@ -202,4 +209,5 @@
 	public AddMetadataSetPrompt() {
 	    super(Gatherer.g_man, true);
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    add_set_dialog = this;
 	    setModal(true);
@@ -211,15 +219,23 @@
 
 	    JPanel center_pane = new JPanel();
+            center_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JPanel sets_pane = new JPanel();
+            sets_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel sets_label = new JLabel(Dictionary.get("MetadataSetDialog.Available_Sets"));
+            sets_label.setComponentOrientation(Dictionary.getOrientation());
 	    sets_label.setOpaque(false);
 	    
 	    available_sets_list = new JList(getValidSetModel());
+            available_sets_list.setComponentOrientation(Dictionary.getOrientation());
 	    available_sets_list.addListSelectionListener(new AvailableSetListSelectionListener());
 	    available_sets_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
+            
 	    JPanel elements_pane = new JPanel();
+            elements_pane.setComponentOrientation(Dictionary.getOrientation());
 	    JLabel elements_label = new JLabel(Dictionary.get("MetadataSetDialog.Elements"));
-	    
+	    elements_label.setComponentOrientation(Dictionary.getOrientation());
+            
 	    elements_list = new JList();
+            elements_list.setComponentOrientation(Dictionary.getOrientation());
 	    elements_list.setCellRenderer(new MetadataElementListCellRenderer());
 	    elements_list.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -229,4 +245,5 @@
 	    
 	    JPanel button_pane = new JPanel();
+            button_pane.setComponentOrientation(Dictionary.getOrientation());
 	    add_button = new GLIButton(Dictionary.get("MetadataSetDialog.Add_Set"), Dictionary.get("MetadataSetDialog.Add_Set_Tooltip"));
 	    add_button.setEnabled(false);
@@ -283,4 +300,5 @@
 	    
 	    JPanel content_pane = (JPanel) getContentPane();
+            content_pane.setComponentOrientation(Dictionary.getOrientation());
 	    content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	    content_pane.setLayout(new BorderLayout());
@@ -292,7 +310,5 @@
 	    setLocation((screen_size.width - ADD_SIZE.width) / 2, (screen_size.height - ADD_SIZE.height) / 2);
 	    setVisible(true);
-	    
-
-	    
+	    	   
 	}
 	
@@ -368,4 +384,5 @@
 	    public void actionPerformed(ActionEvent event) {
 		JFileChooser chooser = new JFileChooser(new File(Gatherer.getGLIMetadataDirectoryPath()));
+                chooser.setComponentOrientation(Dictionary.getOrientation());
 		chooser.setFileFilter(new MetadataSet.MetadataSetFileFilter());
 		chooser.setDialogTitle(Dictionary.get("MetadataSetDialog.Add_Title"));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTablePane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTablePane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTablePane.java	(revision 18297)
@@ -65,5 +65,5 @@
     {
 	super();
-
+        this.setComponentOrientation(Dictionary.getOrientation());
 	metadata_value_table = new MetadataValueTable();
 
@@ -71,27 +71,33 @@
 	metadata_value_table_scroll.getViewport().setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	metadata_value_table_scroll.setOpaque(true);
-
+        metadata_value_table_scroll.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel metadata_value_table_pane = new JPanel();
 	metadata_value_table_pane.setLayout(new BorderLayout());
 	metadata_value_table_pane.add(metadata_value_table_scroll, BorderLayout.CENTER);
-
+        metadata_value_table_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel no_metadata_available_label = new JLabel(Dictionary.get("EnrichPane.No_Metadata"));
 	no_metadata_available_label.setHorizontalAlignment(JLabel.CENTER);
 	no_metadata_available_label.setOpaque(false);
 	no_metadata_available_label.setVerticalAlignment(JLabel.CENTER);
-	
+	no_metadata_available_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel no_metadata_available_pane = new JPanel();
 	no_metadata_available_pane.setLayout(new BorderLayout());
 	no_metadata_available_pane.add(no_metadata_available_label, BorderLayout.CENTER);
-
+        no_metadata_available_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JLabel no_files_selected_label = new JLabel(Dictionary.get("EnrichPane.No_File"));
 	no_files_selected_label.setHorizontalAlignment(JLabel.CENTER);
 	no_files_selected_label.setOpaque(false);
 	no_files_selected_label.setVerticalAlignment(JLabel.CENTER);
-	
+	no_files_selected_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel no_files_selected_pane = new JPanel();
 	no_files_selected_pane.setLayout(new BorderLayout());
 	no_files_selected_pane.add(no_files_selected_label, BorderLayout.CENTER);
-
+        no_files_selected_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	card_layout = new CardLayout();
 
@@ -186,4 +192,5 @@
 	public MetadataValueTable()
 	{
+            this.setComponentOrientation(Dictionary.getOrientation());
 	    // Create the model for the table
 	    metadata_value_table_model = new MetadataValueTableModel();
@@ -199,4 +206,5 @@
 	    metadata_value_text_field.addMouseListener(new MetadataValueTextFieldMouseListener());
 	    metadata_value_text_field.setBorder(null);
+            metadata_value_text_field.setComponentOrientation(Dictionary.getOrientation());
 
 	    // We need to listen for key presses so we can catch Enter presses
@@ -208,4 +216,6 @@
 	    // We also have to ensure that the table column header hasn't gone on a severe Jenny Craig binge and has somehow lost 7/8th of its component size
 	    JTableHeader table_header = getTableHeader();
+            table_header.setComponentOrientation(Dictionary.getOrientation());
+            
 	    Dimension table_header_preferred_size = table_header.getPreferredSize();
 	    if (table_header_preferred_size.height < MINIMUM_TABLE_HEADER_SIZE) {
@@ -319,5 +329,6 @@
 	    {
 		JComponent component = (JLabel) super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
-
+                component.setComponentOrientation(Dictionary.getOrientation());
+                
 		int real_column = table.convertColumnIndexToModel(column);
 		// First column: inherited metadata icon
